package com.engine.organization.mapper.jclorgmap;

import com.engine.organization.entity.map.JclOrgMap;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author:dxfeng
 * @createTime: 2022/09/01
 * @version: 1.0
 */
public interface JclOrgMapper {
    int insertMap(JclOrgMap jclOrgMap);

    JclOrgMap getJclOrgMapByObjID(@Param("currentDate") String currentDate, @Param("fType") String fType, @Param("objId") String objId);

    int deleteMap(@Param("ftype") String ftype, @Param("fobjid") String fobjid, @Param("currentDate") String currentDate);

    int updateMap(@Param("ftype") String ftype, @Param("fobjid") String fobjid, @Param("currentDate") String currentDate, @Param("yesterday") String yesterday);

    JclOrgMap getJclOrgMapByFParentId(@Param("currentDate") String currentDate, @Param("fparentid") String fparentid);

    JclOrgMap getJclOrgMapById(@Param("currentDate") String currentDate, @Param("id") String id);

    JclOrgMap getSumPlanAndJobByFParentId(@Param("currentDate") String currentDate, @Param("fparentid") String fparentid);

    int updateMapById(@Param("id") Integer id,@Param("fplan") Integer fplan,@Param("fonjob") Integer fonjob,@Param("currentDate") String currentDate);
}
